package de.intevation.flys.artifacts.model;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;

import de.intevation.artifactdatabase.state.DefaultFacet;

import de.intevation.flys.artifacts.states.DefaultState.ComputeType;

import de.intevation.flys.artifacts.WINFOArtifact;


import org.apache.log4j.Logger;

public class ReportFacet
extends      DefaultFacet
implements   FacetTypes
{
    private static Logger logger = Logger.getLogger(ReportFacet.class);

    protected ComputeType type;

    public ReportFacet() {
        this(ComputeType.ADVANCE);
    }

    public ReportFacet(ComputeType type) {
        super(0, REPORT, "report");
        this.type = type;
    }

    public Object getData(Artifact artifact, CallContext context) {
        logger.debug("get report data");

        WINFOArtifact winfo = (WINFOArtifact)artifact;

        CalculationResult cr = (CalculationResult)winfo.compute(
            context, type, false);

        return cr;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
